Ja kannst du, du musst nur darauf achten an welcher Aral-Tanke du diesen gekauft hast, sonst kann es sein das eine andere Aral-Tanke in einem anderen Ort diesen Gutschein nicht annimmt, (Das Problem hatte ein Kumpel von mir).

...zur Antwort

Bukkit Plugin geht nicht

Hallo,

Ich habe ein Problem mit perworldplugins. Es ist mit das wichtigste Plugin auf meinem Server und es geht nicht. Es regelt welches Plugin in Welcher Welt aktiv sein darf und welches ausgeschaltet ist.

Ich habe schon länger gegoogelt und vermute das es an Java liegt. Aber unser Server hat angeblich schon Java 7 installiert woran kann es noch liegen?

Ein anderes Plugin was das selbe kann wie das perworldplugins gäng auch.

Server Log.

[21:53:48] [Server thread/INFO]: Starting minecraft server version 1.7.9 [21:53:48] [Server thread/INFO]: Loading properties [21:53:49] [Server thread/INFO]: Default game type: SURVIVAL [21:53:49] [Server thread/INFO]: Generating keypair [21:53:49] [Server thread/INFO]: Starting Minecraft server on 185.27.252.237:25595 [21:53:49] [Server thread/INFO]: This server is running CraftBukkit version git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks (MC: 1.7.9) (Implementing API version 1.7.9-R0.1-SNAPSHOT) [21:53:50] [Server thread/WARN]: Plugin PvP_Health v1.3.4' uses the space-character (0x20) in its name PvP Health' - this is discouraged [21:53:50] [Thread-8/INFO]: ----- Bukkit Auto Updater ----- [21:53:50] [Thread-8/INFO]: It appears that you're running a Development Build, when you've specified in bukkit.yml that you prefer to run Recommended Builds. [21:53:50] [Thread-8/INFO]: If you would like to be kept informed about new Development Build releases, it is recommended that you change 'preferred-channel' in your bukkit.yml to 'dev'. [21:53:50] [Thread-8/INFO]: With that set, you will be told whenever a new version is available for download, so that you can always keep up to date and secure with the latest fixes. [21:53:50] [Thread-8/INFO]: If you would like to disable this warning, simply set 'suggest-channels' to false in bukkit.yml. [21:53:50] [Thread-8/INFO]: ----- ------------------- ----- [21:53:50] [Server thread/WARN]: Plugin World_Portal v0.2.7.1' uses the space-character (0x20) in its name World Portal' - this is discouraged [21:53:50] [Server thread/INFO]: [PermissionsEx] sql backend registered! [21:53:50] [Server thread/INFO]: [PermissionsEx] file backend registered! [21:53:50] [Server thread/ERROR]: Could not load 'plugins/PerWorldPlugins (3).jar' in folder 'plugins' org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/Incomprehendable/WorldPlugins/WorldPlugins : Unsupported major.minor version 51.0 at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.craftbukkit.v1_7_R3.CraftServer.loadPlugins(CraftServer.java:357) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d894

...zur Frage

Hier der abschnitt von perworoldplugins:

[21:53:50] [Server thread/ERROR]: Could not load 'plugins/PerWorldPlugins (3).jar' in folder 'plugins' org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/Incomprehendable/WorldPlugins/WorldPlugins : Unsupported major.minor version 51.0 at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.craftbukkit.v1_7_R3.CraftServer.loadPlugins(CraftServer.java:357) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.craftbukkit.v1_7_R3.CraftServer.(CraftServer.java:319) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at net.minecraft.server.v1_7_R3.PlayerList.(PlayerList.java:68) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at net.minecraft.server.v1_7_R3.DedicatedPlayerList.(SourceFile:14) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at net.minecraft.server.v1_7_R3.DedicatedServer.init(DedicatedServer.java:126) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at net.minecraft.server.v1_7_R3.MinecraftServer.run(MinecraftServer.java:436) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at net.minecraft.server.v1_7_R3.ThreadServerApplication.run(SourceFile:628) [craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] Caused by: java.lang.UnsupportedClassVersionError: me/Incomprehendable/WorldPlugins/WorldPlugins : Unsupported major.minor version 51.0 at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_26] at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631) ~[?:1.6.0_26] at java.lang.ClassLoader.defineClass(ClassLoader.java:615) ~[?:1.6.0_26] at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_26] at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_26] at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_26] at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_26] at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_26] at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_26] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_26] at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_26] at java.lang.Class.forName0(Native Method) ~[?:1.6.0_26] at java.lang.Class.forName(Class.java:247) ~[?:1.6.0_26] at org.bukkit.plugin.java.PluginClassLoader.(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:127) ~[craftbukkit.jar:git-Bukkit-1.7.2-R0.3-66-g43d8943-b3078jnks] ... 9 more

Ich hoffe Ihr könnt mir helfen schon einmal danke im vorraus.

...zur Antwort